> For the complete documentation index, see [llms.txt](https://docs.payswap.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payswap.org/portugues/use-cases/ssi/single-sign-on.md).

# Logon único

Single Sign-On (SSO) é um método de autenticação que permite que os usuários se autentiquem com segurança em múltiplos aplicativos e sites usando apenas um conjunto de credenciais.

## Como Funciona?

Os usuários criam seus SSIDs (Single Sign-On IDs) e tokens de identidade a partir desses SSIDs. Para fazer login no seu serviço, eles só precisarão inserir os IDs dos tokens de identidade.

Nos bastidores, você verifica se os tokens de identidade (que são NFTs) realmente pertencem aos usuários e, se sim, obtém o SSID do token de identidade.

Para obter um SSID de um token de identidade, você teria que consultar a função de **metadata** do contrato de SSI (Single Sign-On) para a qual você passa o ID do token de identidade.

```solidity
// Código de exemplo
ISSI(ssiContract).metadata(identity_token_id)
```

Isso retornará um objeto de metadados com o seguinte formato:

```solidity
struct SSIData {
    uint senderProfileId;
    uint receiverProfileId;
    uint auditorProfileId;
    uint deadline;
    string question;
    string answer;
    ProofType proofType;
}
```

Para obter o SSID real, você pegará a variável answer após verificar que a pergunta é realmente SSID.

```solidity
// Código completo
function getSSID(uint _identity_token_id) external returns(string memory) {
    SSIData memory data = ISSI(ssiContract).metadata(identity_token_id)
    require(keccak256(abi.encodePacked(data.question)) == keccak256(abi.encodePacked("ssid")))
    return data.answer
}
```

Você usaria os dados de SSID dos seus usuários coletados a partir de seus tokens de identidade como seus identificadores e os autenticaria após fazer essa verificação rápida.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payswap.org/portugues/use-cases/ssi/single-sign-on.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
